<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: FireworksLauncher Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/db5/class_fireworks_launcher.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">FireworksLauncher Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for FireworksLauncher:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d9/db5/class_fireworks_launcher.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a5de2576e37680bf5c2148fc22fa23bd5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a5de2576e37680bf5c2148fc22fa23bd5">FireworksLauncher</a> ()</td></tr>
<tr class="separator:a5de2576e37680bf5c2148fc22fa23bd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadab90599479d4dac417286b3daaced6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#aadab90599479d4dac417286b3daaced6">~FireworksLauncher</a> ()</td></tr>
<tr class="separator:aadab90599479d4dac417286b3daaced6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf25619ccf24ec8e3f95eb5645b1e34b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#acf25619ccf24ec8e3f95eb5645b1e34b">IsDeployable</a> ()</td></tr>
<tr class="separator:acf25619ccf24ec8e3f95eb5645b1e34b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a669d9285cf56150312a009c31a802214"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a669d9285cf56150312a009c31a802214">GetDeployTime</a> ()</td></tr>
<tr class="memdesc:a669d9285cf56150312a009c31a802214"><td class="mdescLeft">&#160;</td><td class="mdescRight">how long it takes to deploy this item in seconds  <a href="../../d9/db5/class_fireworks_launcher.html#a669d9285cf56150312a009c31a802214">More...</a><br /></td></tr>
<tr class="separator:a669d9285cf56150312a009c31a802214"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48db8f1a7bc7bd35c65b6d42cbda5f30"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a48db8f1a7bc7bd35c65b6d42cbda5f30">SetupColorSequences</a> ()</td></tr>
<tr class="separator:a48db8f1a7bc7bd35c65b6d42cbda5f30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6219c06b7dbefb25f8aca455bcd19429"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a6219c06b7dbefb25f8aca455bcd19429">GetColorSequence</a> ()</td></tr>
<tr class="separator:a6219c06b7dbefb25f8aca455bcd19429"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad049b26598f68bf31bd80f2628570484"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#ad049b26598f68bf31bd80f2628570484">OnPlacementComplete</a> (Man player, <a class="el" href="../../d7/dfc/classvector.html">vector</a> position=&quot;0 0 0&quot;, <a class="el" href="../../d7/dfc/classvector.html">vector</a> orientation=&quot;0 0 0&quot;)</td></tr>
<tr class="separator:ad049b26598f68bf31bd80f2628570484"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f484130eedcb9e8f81ba02ddcf0fdb9"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a3f484130eedcb9e8f81ba02ddcf0fdb9">GetMaxAllowedWetness</a> ()</td></tr>
<tr class="separator:a3f484130eedcb9e8f81ba02ddcf0fdb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4924da4f3fda8a9638441c329c93e07a"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a4924da4f3fda8a9638441c329c93e07a">GetEventDelay</a> ()</td></tr>
<tr class="separator:a4924da4f3fda8a9638441c329c93e07a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7560c6acb490f001a5bf45ceb978a8d8"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a7560c6acb490f001a5bf45ceb978a8d8">GetFuseSoundSet</a> ()</td></tr>
<tr class="separator:a7560c6acb490f001a5bf45ceb978a8d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacd11d7bbe5fafe7525c9a630d1fb584"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#aacd11d7bbe5fafe7525c9a630d1fb584">GetMaxShots</a> ()</td></tr>
<tr class="separator:aacd11d7bbe5fafe7525c9a630d1fb584"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae07bc1707034d7ed4fc7810d5e72f2c9"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#ae07bc1707034d7ed4fc7810d5e72f2c9">GetFuseDelay</a> ()</td></tr>
<tr class="separator:ae07bc1707034d7ed4fc7810d5e72f2c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a146f5804a0c73dc59649dee96243c76f"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a146f5804a0c73dc59649dee96243c76f">GetAmmoType</a> ()</td></tr>
<tr class="separator:a146f5804a0c73dc59649dee96243c76f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcb6c795d23a12d4e36f2dec76943aa3"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#afcb6c795d23a12d4e36f2dec76943aa3">GetDamageType</a> ()</td></tr>
<tr class="separator:afcb6c795d23a12d4e36f2dec76943aa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacc232a4bee066419d7896ee7c906975"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#aacc232a4bee066419d7896ee7c906975">OnStateChangedServer</a> (<a class="el" href="../../d7/da1/_fireworks_base_8c.html#a99a024998ac536510fcc22b1af41dbdd">EFireworksState</a> currentState)</td></tr>
<tr class="separator:aacc232a4bee066419d7896ee7c906975"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cc86ab807d992d6020e815d6e170395"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a8cc86ab807d992d6020e815d6e170395">OnStateChangedClient</a> (<a class="el" href="../../d7/da1/_fireworks_base_8c.html#a99a024998ac536510fcc22b1af41dbdd">EFireworksState</a> currentState)</td></tr>
<tr class="separator:a8cc86ab807d992d6020e815d6e170395"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc6020943228ae95826e9a607341e60a"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#abc6020943228ae95826e9a607341e60a">OnIgnitedThis</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> fire_source)</td></tr>
<tr class="memdesc:abc6020943228ae95826e9a607341e60a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Executed on Server when some item ignited this one.  <a href="../../d9/db5/class_fireworks_launcher.html#abc6020943228ae95826e9a607341e60a">More...</a><br /></td></tr>
<tr class="separator:abc6020943228ae95826e9a607341e60a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fbd6e29f14833d8ebcf38285d7d6be9"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a2fbd6e29f14833d8ebcf38285d7d6be9">CanPutInCargo</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a2fbd6e29f14833d8ebcf38285d7d6be9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a738261e5018ecfe6ea3cdaea61df2609"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a738261e5018ecfe6ea3cdaea61df2609">CanPutIntoHands</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a738261e5018ecfe6ea3cdaea61df2609"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a983819eded88c59de721d9cda3c9449d"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a983819eded88c59de721d9cda3c9449d">OnFuseIgnitedServer</a> ()</td></tr>
<tr class="separator:a983819eded88c59de721d9cda3c9449d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac50fab33083ee2a88b177c4a1ff43406"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#ac50fab33083ee2a88b177c4a1ff43406">OnFuseIgnitedClient</a> ()</td></tr>
<tr class="separator:ac50fab33083ee2a88b177c4a1ff43406"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2078e1980ca0b05f7e766293330c448c"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a2078e1980ca0b05f7e766293330c448c">OnFiringStartServer</a> ()</td></tr>
<tr class="separator:a2078e1980ca0b05f7e766293330c448c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4090abde71314bd4ad6a042a4a7f4200"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a4090abde71314bd4ad6a042a4a7f4200">OnFiringStartClient</a> ()</td></tr>
<tr class="separator:a4090abde71314bd4ad6a042a4a7f4200"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af54b646203cb980e2ae1e913951de9a7"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#af54b646203cb980e2ae1e913951de9a7">OnFiringStop</a> ()</td></tr>
<tr class="separator:af54b646203cb980e2ae1e913951de9a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cc105ea21c28665273a671362149bb3"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a1cc105ea21c28665273a671362149bb3">RestartEventTimer</a> ()</td></tr>
<tr class="memdesc:a1cc105ea21c28665273a671362149bb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Starts event timer.  <a href="../../d9/db5/class_fireworks_launcher.html#a1cc105ea21c28665273a671362149bb3">More...</a><br /></td></tr>
<tr class="separator:a1cc105ea21c28665273a671362149bb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f1590438acf4de14572cc5fce2d140d"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a1f1590438acf4de14572cc5fce2d140d">IsIgnited</a> ()</td></tr>
<tr class="separator:a1f1590438acf4de14572cc5fce2d140d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60e5fa6ebb0c09c0f4759960dd702322"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a60e5fa6ebb0c09c0f4759960dd702322">CanIgniteItem</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> ignite_target=NULL)</td></tr>
<tr class="separator:a60e5fa6ebb0c09c0f4759960dd702322"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5264a997b902ba4d3ceefd182554043a"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a5264a997b902ba4d3ceefd182554043a">OnEventServer</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> type)</td></tr>
<tr class="memdesc:a5264a997b902ba4d3ceefd182554043a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called periodically but only after the entity gets ignited.  <a href="../../d9/db5/class_fireworks_launcher.html#a5264a997b902ba4d3ceefd182554043a">More...</a><br /></td></tr>
<tr class="separator:a5264a997b902ba4d3ceefd182554043a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ae31b237376447e96d1f4c8963e7d54"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a3ae31b237376447e96d1f4c8963e7d54">OnIndexChangedClient</a> ()</td></tr>
<tr class="separator:a3ae31b237376447e96d1f4c8963e7d54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ae00bde3a32dedb9823d4fb61c32a03"><td class="memItemLeft" align="right" valign="top">protected FireworksLauncherClientEventBase&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a7ae00bde3a32dedb9823d4fb61c32a03">SpawnEvent</a> ()</td></tr>
<tr class="separator:a7ae00bde3a32dedb9823d4fb61c32a03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c5f45428c7ecab9af5cd0c6f27ab707"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a1c5f45428c7ecab9af5cd0c6f27ab707">OnVariablesSynchronized</a> ()</td></tr>
<tr class="separator:a1c5f45428c7ecab9af5cd0c6f27ab707"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3251d7131ab71a692614e115f726fb61"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a3251d7131ab71a692614e115f726fb61">OnStoreSave</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:a3251d7131ab71a692614e115f726fb61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa679e26a631c3cd3b858482e602e281a"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#aa679e26a631c3cd3b858482e602e281a">OnStoreLoad</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> version)</td></tr>
<tr class="separator:aa679e26a631c3cd3b858482e602e281a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:adbdce65246d2075a856788ce3a81965a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#adbdce65246d2075a856788ce3a81965a">m_Index</a></td></tr>
<tr class="separator:adbdce65246d2075a856788ce3a81965a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ecd40b79d2a20054bd58aef7550f9d9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a2ecd40b79d2a20054bd58aef7550f9d9">m_IndexPrev</a></td></tr>
<tr class="separator:a2ecd40b79d2a20054bd58aef7550f9d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68c363ee94be157fb51126e340c9c04e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a68c363ee94be157fb51126e340c9c04e">m_ColorSequenceIndex</a></td></tr>
<tr class="separator:a68c363ee94be157fb51126e340c9c04e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14527940ff882dfa8bd0a39e83051096"><td class="memItemLeft" align="right" valign="top">ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a14527940ff882dfa8bd0a39e83051096">m_TimerFuse</a></td></tr>
<tr class="separator:a14527940ff882dfa8bd0a39e83051096"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a283f8e8bdd38970d6ab0072ccbe5b03c"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref FireworksLauncherClientEventBase &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a283f8e8bdd38970d6ab0072ccbe5b03c">m_Events</a></td></tr>
<tr class="separator:a283f8e8bdd38970d6ab0072ccbe5b03c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c8f49ec0893e294cead4a64c804f75e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#a9c8f49ec0893e294cead4a64c804f75e">m_FuseSoundStart</a></td></tr>
<tr class="separator:a9c8f49ec0893e294cead4a64c804f75e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4fdcfcb34a43f35a33a238991bdab38"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#ac4fdcfcb34a43f35a33a238991bdab38">m_FuseSound</a></td></tr>
<tr class="separator:ac4fdcfcb34a43f35a33a238991bdab38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0f251f8db1fc19a895eba634c24b1b4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#ab0f251f8db1fc19a895eba634c24b1b4">m_ParticleFuse</a></td></tr>
<tr class="separator:ab0f251f8db1fc19a895eba634c24b1b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd4d89a6a0cb0049cf390458191a8075"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#abd4d89a6a0cb0049cf390458191a8075">m_ParticleAfterBurnEnd</a></td></tr>
<tr class="separator:abd4d89a6a0cb0049cf390458191a8075"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade5252b611b69971f86632078a511a91"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db5/class_fireworks_launcher.html#ade5252b611b69971f86632078a511a91">m_ColorSequence</a></td></tr>
<tr class="separator:ade5252b611b69971f86632078a511a91"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00317">317</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5de2576e37680bf5c2148fc22fa23bd5" name="a5de2576e37680bf5c2148fc22fa23bd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5de2576e37680bf5c2148fc22fa23bd5">&#9670;&#160;</a></span>FireworksLauncher()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FireworksLauncher::FireworksLauncher </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00330">330</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="aadab90599479d4dac417286b3daaced6" name="aadab90599479d4dac417286b3daaced6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadab90599479d4dac417286b3daaced6">&#9670;&#160;</a></span>~FireworksLauncher()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FireworksLauncher::~FireworksLauncher </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00344">344</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a60e5fa6ebb0c09c0f4759960dd702322" name="a60e5fa6ebb0c09c0f4759960dd702322"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60e5fa6ebb0c09c0f4759960dd702322">&#9670;&#160;</a></span>CanIgniteItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a> FireworksLauncher::CanIgniteItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>ignite_target</em> = <code>NULL</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00571">571</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a2fbd6e29f14833d8ebcf38285d7d6be9" name="a2fbd6e29f14833d8ebcf38285d7d6be9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fbd6e29f14833d8ebcf38285d7d6be9">&#9670;&#160;</a></span>CanPutInCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a> FireworksLauncher::CanPutInCargo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00488">488</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a738261e5018ecfe6ea3cdaea61df2609" name="a738261e5018ecfe6ea3cdaea61df2609"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a738261e5018ecfe6ea3cdaea61df2609">&#9670;&#160;</a></span>CanPutIntoHands()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a> FireworksLauncher::CanPutIntoHands </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00493">493</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a146f5804a0c73dc59649dee96243c76f" name="a146f5804a0c73dc59649dee96243c76f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a146f5804a0c73dc59649dee96243c76f">&#9670;&#160;</a></span>GetAmmoType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> FireworksLauncher::GetAmmoType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00425">425</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a6219c06b7dbefb25f8aca455bcd19429" name="a6219c06b7dbefb25f8aca455bcd19429"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6219c06b7dbefb25f8aca455bcd19429">&#9670;&#160;</a></span>GetColorSequence()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> FireworksLauncher::GetColorSequence </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00373">373</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="afcb6c795d23a12d4e36f2dec76943aa3" name="afcb6c795d23a12d4e36f2dec76943aa3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcb6c795d23a12d4e36f2dec76943aa3">&#9670;&#160;</a></span>GetDamageType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> FireworksLauncher::GetDamageType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00430">430</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a669d9285cf56150312a009c31a802214" name="a669d9285cf56150312a009c31a802214"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a669d9285cf56150312a009c31a802214">&#9670;&#160;</a></span>GetDeployTime()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d4/dc3/classfloat.html">float</a> FireworksLauncher::GetDeployTime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>how long it takes to deploy this item in seconds </p>

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00356">356</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a4924da4f3fda8a9638441c329c93e07a" name="a4924da4f3fda8a9638441c329c93e07a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4924da4f3fda8a9638441c329c93e07a">&#9670;&#160;</a></span>GetEventDelay()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> FireworksLauncher::GetEventDelay </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00405">405</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="ae07bc1707034d7ed4fc7810d5e72f2c9" name="ae07bc1707034d7ed4fc7810d5e72f2c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae07bc1707034d7ed4fc7810d5e72f2c9">&#9670;&#160;</a></span>GetFuseDelay()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> FireworksLauncher::GetFuseDelay </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00420">420</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a7560c6acb490f001a5bf45ceb978a8d8" name="a7560c6acb490f001a5bf45ceb978a8d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7560c6acb490f001a5bf45ceb978a8d8">&#9670;&#160;</a></span>GetFuseSoundSet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> FireworksLauncher::GetFuseSoundSet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00410">410</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a3f484130eedcb9e8f81ba02ddcf0fdb9" name="a3f484130eedcb9e8f81ba02ddcf0fdb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f484130eedcb9e8f81ba02ddcf0fdb9">&#9670;&#160;</a></span>GetMaxAllowedWetness()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> FireworksLauncher::GetMaxAllowedWetness </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00399">399</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="aacd11d7bbe5fafe7525c9a630d1fb584" name="aacd11d7bbe5fafe7525c9a630d1fb584"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacd11d7bbe5fafe7525c9a630d1fb584">&#9670;&#160;</a></span>GetMaxShots()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> FireworksLauncher::GetMaxShots </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00415">415</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="acf25619ccf24ec8e3f95eb5645b1e34b" name="acf25619ccf24ec8e3f95eb5645b1e34b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf25619ccf24ec8e3f95eb5645b1e34b">&#9670;&#160;</a></span>IsDeployable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> FireworksLauncher::IsDeployable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00350">350</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a1f1590438acf4de14572cc5fce2d140d" name="a1f1590438acf4de14572cc5fce2d140d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f1590438acf4de14572cc5fce2d140d">&#9670;&#160;</a></span>IsIgnited()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a> FireworksLauncher::IsIgnited </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00566">566</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a5264a997b902ba4d3ceefd182554043a" name="a5264a997b902ba4d3ceefd182554043a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5264a997b902ba4d3ceefd182554043a">&#9670;&#160;</a></span>OnEventServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void FireworksLauncher::OnEventServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Called periodically but only after the entity gets ignited. </p>

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00579">579</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a4090abde71314bd4ad6a042a4a7f4200" name="a4090abde71314bd4ad6a042a4a7f4200"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4090abde71314bd4ad6a042a4a7f4200">&#9670;&#160;</a></span>OnFiringStartClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void FireworksLauncher::OnFiringStartClient </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00538">538</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a2078e1980ca0b05f7e766293330c448c" name="a2078e1980ca0b05f7e766293330c448c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2078e1980ca0b05f7e766293330c448c">&#9670;&#160;</a></span>OnFiringStartServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void FireworksLauncher::OnFiringStartServer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00533">533</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="af54b646203cb980e2ae1e913951de9a7" name="af54b646203cb980e2ae1e913951de9a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af54b646203cb980e2ae1e913951de9a7">&#9670;&#160;</a></span>OnFiringStop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void FireworksLauncher::OnFiringStop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00550">550</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="ac50fab33083ee2a88b177c4a1ff43406" name="ac50fab33083ee2a88b177c4a1ff43406"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac50fab33083ee2a88b177c4a1ff43406">&#9670;&#160;</a></span>OnFuseIgnitedClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void FireworksLauncher::OnFuseIgnitedClient </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00504">504</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a983819eded88c59de721d9cda3c9449d" name="a983819eded88c59de721d9cda3c9449d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a983819eded88c59de721d9cda3c9449d">&#9670;&#160;</a></span>OnFuseIgnitedServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void FireworksLauncher::OnFuseIgnitedServer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00498">498</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="abc6020943228ae95826e9a607341e60a" name="abc6020943228ae95826e9a607341e60a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc6020943228ae95826e9a607341e60a">&#9670;&#160;</a></span>OnIgnitedThis()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void FireworksLauncher::OnIgnitedThis </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>fire_source</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Executed on Server when some item ignited this one. </p>

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00473">473</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a3ae31b237376447e96d1f4c8963e7d54" name="a3ae31b237376447e96d1f4c8963e7d54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ae31b237376447e96d1f4c8963e7d54">&#9670;&#160;</a></span>OnIndexChangedClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void FireworksLauncher::OnIndexChangedClient </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00597">597</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="ad049b26598f68bf31bd80f2628570484" name="ad049b26598f68bf31bd80f2628570484"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad049b26598f68bf31bd80f2628570484">&#9670;&#160;</a></span>OnPlacementComplete()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void FireworksLauncher::OnPlacementComplete </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>position</em> = <code>&quot;0&#160;0&#160;0&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>orientation</em> = <code>&quot;0&#160;0&#160;0&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00387">387</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a8cc86ab807d992d6020e815d6e170395" name="a8cc86ab807d992d6020e815d6e170395"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cc86ab807d992d6020e815d6e170395">&#9670;&#160;</a></span>OnStateChangedClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void FireworksLauncher::OnStateChangedClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/da1/_fireworks_base_8c.html#a99a024998ac536510fcc22b1af41dbdd">EFireworksState</a>&#160;</td>
          <td class="paramname"><em>currentState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00456">456</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="aacc232a4bee066419d7896ee7c906975" name="aacc232a4bee066419d7896ee7c906975"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacc232a4bee066419d7896ee7c906975">&#9670;&#160;</a></span>OnStateChangedServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void FireworksLauncher::OnStateChangedServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/da1/_fireworks_base_8c.html#a99a024998ac536510fcc22b1af41dbdd">EFireworksState</a>&#160;</td>
          <td class="paramname"><em>currentState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00436">436</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="aa679e26a631c3cd3b858482e602e281a" name="aa679e26a631c3cd3b858482e602e281a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa679e26a631c3cd3b858482e602e281a">&#9670;&#160;</a></span>OnStoreLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a> FireworksLauncher::OnStoreLoad </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>version</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00637">637</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a3251d7131ab71a692614e115f726fb61" name="a3251d7131ab71a692614e115f726fb61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3251d7131ab71a692614e115f726fb61">&#9670;&#160;</a></span>OnStoreSave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void FireworksLauncher::OnStoreSave </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00629">629</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a1c5f45428c7ecab9af5cd0c6f27ab707" name="a1c5f45428c7ecab9af5cd0c6f27ab707"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c5f45428c7ecab9af5cd0c6f27ab707">&#9670;&#160;</a></span>OnVariablesSynchronized()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void FireworksLauncher::OnVariablesSynchronized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00617">617</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a1cc105ea21c28665273a671362149bb3" name="a1cc105ea21c28665273a671362149bb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cc105ea21c28665273a671362149bb3">&#9670;&#160;</a></span>RestartEventTimer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void FireworksLauncher::RestartEventTimer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Starts event timer. </p>

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00556">556</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a48db8f1a7bc7bd35c65b6d42cbda5f30" name="a48db8f1a7bc7bd35c65b6d42cbda5f30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48db8f1a7bc7bd35c65b6d42cbda5f30">&#9670;&#160;</a></span>SetupColorSequences()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void FireworksLauncher::SetupColorSequences </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00361">361</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a7ae00bde3a32dedb9823d4fb61c32a03" name="a7ae00bde3a32dedb9823d4fb61c32a03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ae00bde3a32dedb9823d4fb61c32a03">&#9670;&#160;</a></span>SpawnEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected FireworksLauncherClientEventBase FireworksLauncher::SpawnEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00610">610</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ade5252b611b69971f86632078a511a91" name="ade5252b611b69971f86632078a511a91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade5252b611b69971f86632078a511a91">&#9670;&#160;</a></span>m_ColorSequence</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt; FireworksLauncher::m_ColorSequence</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00328">328</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a68c363ee94be157fb51126e340c9c04e" name="a68c363ee94be157fb51126e340c9c04e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68c363ee94be157fb51126e340c9c04e">&#9670;&#160;</a></span>m_ColorSequenceIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> FireworksLauncher::m_ColorSequenceIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00321">321</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a283f8e8bdd38970d6ab0072ccbe5b03c" name="a283f8e8bdd38970d6ab0072ccbe5b03c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a283f8e8bdd38970d6ab0072ccbe5b03c">&#9670;&#160;</a></span>m_Events</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref FireworksLauncherClientEventBase&gt; FireworksLauncher::m_Events</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00323">323</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="ac4fdcfcb34a43f35a33a238991bdab38" name="ac4fdcfcb34a43f35a33a238991bdab38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4fdcfcb34a43f35a33a238991bdab38">&#9670;&#160;</a></span>m_FuseSound</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a> FireworksLauncher::m_FuseSound</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00325">325</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a9c8f49ec0893e294cead4a64c804f75e" name="a9c8f49ec0893e294cead4a64c804f75e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c8f49ec0893e294cead4a64c804f75e">&#9670;&#160;</a></span>m_FuseSoundStart</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a> FireworksLauncher::m_FuseSoundStart</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00324">324</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="adbdce65246d2075a856788ce3a81965a" name="adbdce65246d2075a856788ce3a81965a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbdce65246d2075a856788ce3a81965a">&#9670;&#160;</a></span>m_Index</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> FireworksLauncher::m_Index</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00319">319</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a2ecd40b79d2a20054bd58aef7550f9d9" name="a2ecd40b79d2a20054bd58aef7550f9d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ecd40b79d2a20054bd58aef7550f9d9">&#9670;&#160;</a></span>m_IndexPrev</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> FireworksLauncher::m_IndexPrev</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00320">320</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="abd4d89a6a0cb0049cf390458191a8075" name="abd4d89a6a0cb0049cf390458191a8075"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd4d89a6a0cb0049cf390458191a8075">&#9670;&#160;</a></span>m_ParticleAfterBurnEnd</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a> FireworksLauncher::m_ParticleAfterBurnEnd</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00327">327</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="ab0f251f8db1fc19a895eba634c24b1b4" name="ab0f251f8db1fc19a895eba634c24b1b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0f251f8db1fc19a895eba634c24b1b4">&#9670;&#160;</a></span>m_ParticleFuse</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a> FireworksLauncher::m_ParticleFuse</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00326">326</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<a id="a14527940ff882dfa8bd0a39e83051096" name="a14527940ff882dfa8bd0a39e83051096"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14527940ff882dfa8bd0a39e83051096">&#9670;&#160;</a></span>m_TimerFuse</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref Timer FireworksLauncher::m_TimerFuse</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html#l00322">322</a> of file <a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ItemBase/Gear/Tools/<a class="el" href="../../db/d8d/_fireworks_launcher_8c_source.html">FireworksLauncher.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/db5/class_fireworks_launcher.html">FireworksLauncher</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
